Bug 1526206 - python3-future is not provided in EPEL 7
Summary: python3-future is not provided in EPEL 7
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: future
Version: epel7
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-15 00:31 UTC by Matt Lewandowsky
Modified: 2017-12-30 21:53 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-30 21:53:19 UTC


Attachments (Terms of Use)

Description Matt Lewandowsky 2017-12-15 00:31:10 UTC
Description of problem:

python3-future is only available in Fedora builds, which is inconvenient for EPEL 7 users.

Version-Release number of selected component (if applicable): 0.16.0-2.el7

How reproducible:

Always

Steps to Reproduce:
1. # yum install python3-future

Actual results:

==> No package python3-future available.

Expected results:

Package is available and installs.

Additional info:

Presumably this is due to EPEL 7 only having Python 3.4 available, not 3.5, from a quick glance at the spec file.

Comment 1 Fedora Update System 2017-12-15 13:27:06 UTC
future-0.16.0-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ed7ff4fbc

Comment 2 Matt Lewandowsky 2017-12-15 21:45:52 UTC
I installed the RPM on a testing system from koji. The new python34-future package appears to resolve my issue.

Thank you for your rapid work. :)

Comment 3 Fedora Update System 2017-12-16 15:01:10 UTC
future-0.16.0-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6ed7ff4fbc

Comment 4 Fedora Update System 2017-12-30 21:53:19 UTC
future-0.16.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.